Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jena
Class schemagen

    java.lang.Object
      jena.schemagen

    public class schemagen

extends java.lang.Object

A vocabulary generator, that will consume an ontology or other vocabulary file, and generate a Java file with the constants from the vocabulary compiled in. Designed to be highly flexible and customisable.

Version:
  CVS $Id: schemagen.java,v 1.56 2008/04/04 11:45:46 ian_dickinson Exp $
Author:
  Ian Dickinson, HP Labs (email)

Field Summary
`static int` | `COMMENT_LENGTH_LIMIT` Default line length for comments before wrap
`static java.lang.String` | `DEFAULT_CONFIG_URI` The default location of the configuration model is "file:schemagen.rdf"
`static java.lang.String` | `DEFAULT_HEADER_TEMPLATE` Default template for the file header
`static java.lang.String` | `DEFAULT_INDIVIDUAL_TEMPLATE` Default template for writing out individual declarations
`static java.lang.String` | `DEFAULT_MARKER` The default marker string for denoting substitutions is "%"
`static java.lang.String` | `DEFAULT_TEMPLATE` Default template for writing out value declarations
`static java.lang.String[]` | `JAVA_KEYWORDS` List of Java reserved keywords, see this list.
`static java.lang.String` | `NS` The namespace for the configuration model is "http://jena.hpl.hp.com/2003/04/schemagen#"

Constructor Summary
`schemagen()`

Method Summary
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final java.lang.String NS

  The namespace for the configuration model is "http://jena.hpl.hp.com/2003/04/schemagen#"

  See Also:
    Constant Field Values

### DEFAULT_CONFIG_URI

    public static final java.lang.String DEFAULT_CONFIG_URI

  The default location of the configuration model is "file:schemagen.rdf"

  See Also:
    Constant Field Values

### DEFAULT_MARKER

    public static final java.lang.String DEFAULT_MARKER

  The default marker string for denoting substitutions is "%"

  See Also:
    Constant Field Values

### DEFAULT_TEMPLATE

    public static final java.lang.String DEFAULT_TEMPLATE

  Default template for writing out value declarations

  See Also:
    Constant Field Values

### DEFAULT_INDIVIDUAL_TEMPLATE

    public static final java.lang.String DEFAULT_INDIVIDUAL_TEMPLATE

  Default template for writing out individual declarations

  See Also:
    Constant Field Values

### DEFAULT_HEADER_TEMPLATE

    public static final java.lang.String DEFAULT_HEADER_TEMPLATE

  Default template for the file header

  See Also:
    Constant Field Values

### COMMENT_LENGTH_LIMIT

    public static final int COMMENT_LENGTH_LIMIT

  Default line length for comments before wrap

  See Also:
    Constant Field Values

### JAVA_KEYWORDS

    public static final java.lang.String[] JAVA_KEYWORDS

  List of Java reserved keywords, see this list.

Constructor Detail

### schemagen

    public schemagen()

Method Detail

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP